# Interface AsyncIterator<T, TReturn, TNext>

#### Type Parameters

- #### T

- #### TReturn = any

- #### TNext = any

#### Hierarchy

- AsyncIterator
  - AsyncIterableIterator
  - AsyncIteratorObject

#####
Index

### Methods

next
return?
throw?

## Methods

### next

- next(...__namedParameters): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Rest` ...__namedParameters: [] | [TNext]

  #### Returns Promise<IteratorResult<T, TReturn>>

### `Optional` return

- return(value?): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Optional` value: TReturn | PromiseLike<TReturn>

  #### Returns Promise<IteratorResult<T, TReturn>>

### `Optional` throw

- throw(e?): Promise<IteratorResult<T, TReturn>>

- #### Parameters

  - ##### `Optional` e: any

  #### Returns Promise<IteratorResult<T, TReturn>>

Generated using TypeDoc